<div class="go-out-info">
    <div ng-if="vm.currentPanelName == 'overall'" class="pb30">
        <div class="title">添加出行信息</div>
        <hr>
        <form class="form-horizontal bordered-group" name="forms.goOutInfoForm" novalidate='novalidate' ng-submit = "methods.selectScheme(vm.info)">
            <div class="layout-table">
                <div class="form-group">
                    <label class="col-sm-2 control-label"><mark>*</mark>出行人员</label>
                    <div class="col-sm-7">
                        <ul class="people-ul">
                            <li ng-repeat = "selectedTraveler in vm.info.travelers track by $index">{{ selectedTraveler.userName }}</li>
                        </ul>
                        <div class="add-people" ng-if="vm.info.travelers.length <=0 " ng-click="methods.modifyCurrentPanel('addPeople')"></div>
                        <button class="btn btn-default" ng-if="vm.info.travelers.length > 0 " ng-click="methods.modifyCurrentPanel('addPeople')">编辑</button>
                        <input type="hidden" required ng-model = "vm.info.travelers[0]">
                    </div>
                </div>
                <div ng-if = "schemeInfo.isNeedInvoice">
                    <div class="form-group">
                        <label class="col-sm-2 control-label">
                            <mark>*</mark>发票抬头</label>
                        <div class="col-sm-4" ng-class="{'has-error': vm.goOutInfoSubmitted && forms.goOutInfoForm.invoice.$invalid}">
                            <input type="text" class="form-control" name="invoice" required ng-model = "vm.info.invoice">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">
                            <mark>*</mark>配送地址选择</label>
                        <div class="col-sm-9">
                            <div class="col-sm-3 address-panel mr5" ng-class="{'selected' : addressItem.isSelected }" ng-repeat = "addressItem in vm.address track by $index" ng-click="methods.selectAddress(addressItem)">
                                <header>
                                    {{addressItem.address.province.name}}{{addressItem.address.city.name}}
                                    <span>（{{addressItem.name}}&nbsp收）</span>
                                    <div class="editor"><span class="modify-text" ng-click="methods.modifyCurrentPanel('modifyAddress', addressItem)">编辑</span><span class="delete-text" ng-click="methods.deleteAddress(addressItem, $event)">删除</span></div>
                                </header>
                                <span>{{addressItem.address.province.name}}{{addressItem.address.city.name}}{{addressItem.address.county.name}}{{addressItem.address.detail}}{{addressItem.tel}}</span>
                            </div>
                        </div>
                        <input type="hidden" required ng-model = "vm.info.addressId">
                    </div>
                    <div class="form-group">
                        <div class="col-sm-offset-2 col-sm-4">
                            <button type="button" class="btn btn-default btn-add-address" ng-class="{'go-out-info-mt74': vm.address.length <=0 }" ng-click="methods.modifyCurrentPanel('addAddress')">使用新地址</button>
                        </div>
                    </div>
                </div>
                <div class="form-group text-center">
                    <div class="mt10">
                        <button type="submit" class="btn btn-info mr5 w100">确定</button>
                        <button type="button" class="btn btn-default w100" ng-click="methods.closeDig()">取消</button>
                    </div>
                </div>
                <div class="text-center" ng-if="vm.goOutInfoSubmitted && forms.goOutInfoForm.$invalid">
                    <div class="error-panel ml20 mr20">
                        <span>请核对输入内容</span>
                    </div>
                </div>
            </div>
        </form>
    </div>
    <div ng-if="vm.currentPanelName == 'addAddress' || vm.currentPanelName == 'modifyAddress'">
        <div class="title">{{ vm.addressTitle }}</div>
        <hr>
        <form class="form-horizontal bordered-group" novalidate='novalidate' name = "forms.addressForm" ng-submit= "methods.editorAddress(vm.editoringAddress)">
            <div class="layout-table">
                <div class="form-group">
                    <label class="col-sm-3 control-label"><mark>*</mark>收件人姓名</label>
                    <div class="col-sm-7"  ng-class="{'has-error': vm.addressSubmitted && forms.addressForm.addressee.$invalid}">
                        <input type="text" name="addressee" required maxLength = '50' class="form-control" ng-model="vm.editoringAddress.name">
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-3 font-min-width control-label"><mark>*</mark>详细地址</label>
                    <div class="col-sm-7"  ng-class="{'has-error': vm.addressSubmitted && !allText}">
                        <span class="form-control" area="vm.editoringAddress.address" name="address" all-text="allText" go-address>{{ allText }} </span>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-3 control-label">邮编</label>
                    <div class="col-sm-7">
                        <input type="text" class="form-control" ng-model="vm.editoringAddress.postCode">
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-3 control-label"><mark>*</mark>手机号码</label>
                    <div class="col-sm-7" ng-class="{'has-error': vm.addressSubmitted && forms.addressForm.tel.$invalid}">
                        <input type="text" required maxLength = '50' name = "tel" class="form-control" ng-model="vm.editoringAddress.tel">
                    </div>
                </div>
                <div class="form-group">
                    <div class="mt10 mb30 text-center">
                        <button type="submit" class="btn btn-info mr5 w100">确定</button>
                        <button type="button" class="btn btn-default w100" ng-click="methods.modifyCurrentPanel('overall')">取消</button>
                    </div>
                </div>
            </div>
        </form>
    </div>
    <div ng-if="vm.currentPanelName == 'addPeople'">
        <div class="title">添加出行人员</div>
        <hr>
        <div class="add-people-panel">
            <div class="form-group" ng-hide="vm.editorPeople">
                <button class="btn btn-default" type="button" ng-click="methods.editorPeople('add')" >添加人员</button>
            </div>
            <form class="form-inline" name="forms.travelerForm" ng-show="vm.editorPeople" ng-submit = "methods.addPeople(vm.traveler)"  novalidate='novalidate'>
              <div class="form-group mr20" ng-class="{'has-error': vm.travelerSubmitted && forms.travelerForm.userName.$invalid}">
                <label><mark>*</mark>姓名</label>
                <input style="width:97px;" type="text" name="userName" required class="form-control ml10" maxLength = '50' ng-model="vm.traveler.userName">
              </div>
              <div class="form-group mr20 p-relative" ng-class="{'has-error': vm.travelerSubmitted && forms.travelerForm.cardNumber.$invalid}">
                <label><mark>*</mark>证件号</label>
                <input type="text" class="form-control ml10 pr45" required maxLength = '50' name="cardNumber" ng-model="vm.traveler.cardNumber">
                <span class="common-chart-tips" ng-if="vm.traveler.cardNumber.length">{{vm.traveler.cardNumber.length}}个字</span>
              </div>
              <div class="form-group mr20 p-relative">
                <label>手机号</label>
                <input style="width:156px" type="text" class="form-control ml10 pr45" ng-model="vm.traveler.tel">
                <span class="common-chart-tips" ng-if="vm.traveler.tel.length">{{vm.traveler.tel.length}}个字</span>
              </div>
              <button type="submit" class="btn btn-default add-people-btn mr5">{{ vm.peopleBtnTitle }}</button>
              <button type="button" class="btn btn-default add-people-btn" ng-click="methods.editorPeople('cancel')">放弃</button>
            </form>
            <table class="table mt15  table-bordered fuck-table-people">
                <thead>
                    <tr class="active">
                        <th>选择</th>
                        <th>姓名</th>
                        <th>证件号</th>
                        <th>手机号</th>
                        <th>操作</th>
                    </tr>
                </thead>
                <tbody>
                    <tr ng-class="{'editor-people-bg': traveler.isEditoring }" ng-repeat = "traveler in vm.travelers track by $index">
                        <td class="text-center">
                            <pretty-checkbox label="''" ng-change = "methods.selectedTraveler(traveler)" ng-model="traveler.isSelected"></pretty-checkbox>
                        </td>
                        <td>{{ traveler.userName }}</td>
                        <td class="text-center">{{ traveler.cardNumber }}</td>
                        <td class="text-center">{{ traveler.tel }}</td>
                        <td class="text-center" ng-if="traveler.canBeEditor">
                            <button class="btn btn-default btn-sm mr5" ng-click="methods.editorPeople('modify', traveler)">编辑</button>
                            <button class="btn btn-default btn-sm" ng-click="methods.deletePeople(traveler)">删除</button>
                        </td>
                        <td class="text-center" ng-if="!traveler.canBeEditor">
                            请联系管理员
                        </td>
                    </tr>
                </tbody>
            </table>
            <section class="page-wrap text-center mb20" ng-if=" vm.peopleTotal > vm.peoplePageParams.limit ">
                <pagination class="mt0 mb0" items-per-page="vm.peoplePageParams.limit" total-items="vm.peopleTotal" ng-model="vm.peoplePageParams.start" num-pages = "numberPages" ng-change="methods.getTravelers()"></pagination>
                <span class="total">共{{ numberPages }}页</span>
            </section>
            <div class="mt10 mb30 text-center">
                <button type="button" class="btn btn-info w100 mr5" ng-click="methods.addTravelers()">确定</button>
                <button type="button" class="btn btn-default w100" ng-click="methods.modifyCurrentPanel('overall')">取消</button>
            </div>
        </div>
    </div>
</div>
